package com.bonait.bnframework.modules.home.fragment.mode;

import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.TextView;

import androidx.annotation.Nullable;

import com.bonait.bnframework.R;
import com.bonait.bnframework.common.db.QueryDB;
import com.bonait.bnframework.common.db.mode.BPA_GOODS;
import com.bonait.bnframework.common.db.mode.BPA_GOODSRECIPENAME;
import com.bonait.bnframework.common.db.mode.BPA_GOODSTYPE;
import com.bonait.bnframework.common.db.res.ResGoodsRecipe;
import com.bonait.bnframework.common.db.res.lcMode;
import com.bonait.bnframework.common.helper.I.MyClickListener;
import com.bonait.bnframework.common.utils.ToastUtils;
import com.bonait.bnframework.modules.home.adapter.goodpf_apapter;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.ArrayList;

import butterknife.BindView;
import butterknife.ButterKnife;

public class add_silos_ck extends LinearLayout {

    @BindView(R.id.title)
    TextView title;

    @BindView(R.id.close_from)
    Button close_from;

    @BindView(R.id.buchongyuanliao)
    Button buchongyuanliao;

    @BindView(R.id.manguan)
    Button manguan;

    @BindView(R.id.shezhi)
    Button shezhi;

    @BindView(R.id.xuhao)
    TextView xuhao;
    @BindView(R.id.wuliaoname)
    TextView name;
    @BindView(R.id.wuliaoimage)
    ImageView wuliaoimage;
    @BindView(R.id.baifenbi)
    TextView baifenbi;
    /**
     * 点击事件
     */
    public MyClickListener mListener=null;
    private View root;
    public add_silos_ck(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        root= LayoutInflater.from(context).inflate(R.layout.dialog_add_silos_ck, this);
        ButterKnife.bind(this, root);
        Init();
    }


    public void Init()
    {
        //初始化界面数据
        initData();
        //初始化界面控件的事件
        initEvent();
    }


    private void initData()
    {

    }


    private void initEvent()
    {
        buchongyuanliao.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View view) {
                QueryDB.UpdateYL(lcMode.id,lcMode.siloszl);
                lcMode.silosmargin=lcMode.siloszl;
                SetData(lcMode);
                //补充原料
                if (mListener != null) {
                    mListener.clickListenerNew(view,1,lcMode);
                }
            }
        });

        manguan.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View view) {

                //满管
                if (mListener != null) {
                    mListener.clickListenerNew(view,2,lcMode);
                }

            }
        });

        shezhi.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View view) {

                //设置
                if (mListener != null) {
                    mListener.clickListenerNew(view,3,lcMode);
                }

            }
        });

        close_from.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (mListener != null) {
                    mListener.clickListenerNew(v,0,null);
                }
            }
        });
    }

    lcMode lcMode =null;
    public void SetData(lcMode _good)
    {
        lcMode=_good;
        title.setText("查看料仓-("+lcMode.name+")");

        xuhao.setText(lcMode.num+"");
        name.setText(lcMode.materialName.isEmpty()?"未设置":(lcMode.materialName+""));
        if(lcMode.materialName.isEmpty() || lcMode.materialName.equals("未设置"))
        {
           wuliaoimage.setImageResource(R.mipmap.liaochang_by);
            baifenbi.setText("");
        }else
        {
            if(lcMode.siloszl<=lcMode.silosmargin || lcMode.siloszl==0)
            {
               wuliaoimage.setImageResource(R.mipmap.liaochang_yc);
            }else
            {
                wuliaoimage.setImageResource(R.mipmap.liaochang_zc);
            }
            baifenbi.setText(get(lcMode.silosmargin,lcMode.siloszl));
        }
    }

    public static String get(int up, int down) {
        if (down == 0) {
            return "0%";
        }
        double value = new BigDecimal((float) up / down).setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
        return new DecimalFormat("#%").format(value);
    }

}
